CREATE TABLE fla_obligations_int (
    INTERFACE_OBLIGATION_ID      NUMBER(18, 0) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    INTERFACE_LEASE_ID           NUMBER(18, 0)     NOT NULL,
    OBLIGATION_NUMBER            VARCHAR2(120) ,
    DESCRIPTION                  VARCHAR2(4000),
    OBLIGATION_STATUS_CODE       VARCHAR2(120) ,
    OBLIGATION_TYPE_CODE         VARCHAR2(120) ,
    START_DATE                   DATE          ,
    END_DATE                     DATE          ,
    VENDOR_ID                    NUMBER(18, 0) ,
    VENDOR_NUMBER                VARCHAR2(120) ,
    VENDOR_NAME                  VARCHAR2(960) ,
    REFERENCE_DETAILS            VARCHAR2(4000),
    RESPONSIBILITY_TYPE_CODE     VARCHAR2(120) ,
    PAID_BY_VENDOR_ID            NUMBER(18, 0) ,
    PAID_BY_VENDOR_NUMBER        VARCHAR2(120) ,
    PAID_BY_VENDOR_NAME          VARCHAR2(960) ,
    PERCENTAGE_PAID              NUMBER        ,
    OVERSEER_DETAILS             VARCHAR2(400) ,
    OBLIGATION_AMOUNT            NUMBER        ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    PAID_BY_VENDOR_CODE          VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_1    VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_2    VARCHAR2(120) ,
    AMEND_ACTION_TYPE_CODE       VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE_CHAR1              VARCHAR2(600) ,
    ATTRIBUTE_CHAR2              VARCHAR2(600) ,
    ATTRIBUTE_CHAR3              VARCHAR2(600) ,
    ATTRIBUTE_CHAR4              VARCHAR2(600) ,
    ATTRIBUTE_CHAR5              VARCHAR2(600) ,
    ATTRIBUTE_CHAR6              VARCHAR2(600) ,
    ATTRIBUTE_CHAR7              VARCHAR2(600) ,
    ATTRIBUTE_CHAR8              VARCHAR2(600) ,
    ATTRIBUTE_CHAR9              VARCHAR2(600) ,
    ATTRIBUTE_CHAR10             VARCHAR2(600) ,
    ATTRIBUTE_CHAR11             VARCHAR2(600) ,
    ATTRIBUTE_CHAR12             VARCHAR2(600) ,
    ATTRIBUTE_CHAR13             VARCHAR2(600) ,
    ATTRIBUTE_CHAR14             VARCHAR2(600) ,
    ATTRIBUTE_CHAR15             VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    INTERFACE_OBLIGATION_ID      NUMBER(18, 0) ,
    LOAD_REQUEST_ID              NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    INTERFACE_LEASE_ID           NUMBER(18, 0)     NOT NULL,
    OBLIGATION_NUMBER            VARCHAR2(120) ,
    DESCRIPTION                  VARCHAR2(4000),
    OBLIGATION_STATUS_CODE       VARCHAR2(120) ,
    OBLIGATION_TYPE_CODE         VARCHAR2(120) ,
    START_DATE                   DATE          ,
    END_DATE                     DATE          ,
    VENDOR_ID                    NUMBER(18, 0) ,
    VENDOR_NUMBER                VARCHAR2(120) ,
    VENDOR_NAME                  VARCHAR2(960) ,
    REFERENCE_DETAILS            VARCHAR2(4000),
    RESPONSIBILITY_TYPE_CODE     VARCHAR2(120) ,
    PAID_BY_VENDOR_ID            NUMBER(18, 0) ,
    PAID_BY_VENDOR_NUMBER        VARCHAR2(120) ,
    PAID_BY_VENDOR_NAME          VARCHAR2(960) ,
    PERCENTAGE_PAID              NUMBER        ,
    OVERSEER_DETAILS             VARCHAR2(400) ,
    OBLIGATION_AMOUNT            NUMBER        ,
    CURRENCY_CODE                VARCHAR2(60)  ,
    PAID_BY_VENDOR_CODE          VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_1    VARCHAR2(120) ,
    SYSTEM_ORIGIN_REFERENCE_2    VARCHAR2(120) ,
    AMEND_ACTION_TYPE_CODE       VARCHAR2(120) ,
    CREATED_BY                   VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE_CHAR1              VARCHAR2(600) ,
    ATTRIBUTE_CHAR2              VARCHAR2(600) ,
    ATTRIBUTE_CHAR3              VARCHAR2(600) ,
    ATTRIBUTE_CHAR4              VARCHAR2(600) ,
    ATTRIBUTE_CHAR5              VARCHAR2(600) ,
    ATTRIBUTE_CHAR6              VARCHAR2(600) ,
    ATTRIBUTE_CHAR7              VARCHAR2(600) ,
    ATTRIBUTE_CHAR8              VARCHAR2(600) ,
    ATTRIBUTE_CHAR9              VARCHAR2(600) ,
    ATTRIBUTE_CHAR10             VARCHAR2(600) ,
    ATTRIBUTE_CHAR11             VARCHAR2(600) ,
    ATTRIBUTE_CHAR12             VARCHAR2(600) ,
    ATTRIBUTE_CHAR13             VARCHAR2(600) ,
    ATTRIBUTE_CHAR14             VARCHAR2(600) ,
    ATTRIBUTE_CHAR15             VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1            NUMBER        ,
    ATTRIBUTE_NUMBER2            NUMBER        ,
    ATTRIBUTE_NUMBER3            NUMBER        ,
    ATTRIBUTE_NUMBER4            NUMBER        ,
    ATTRIBUTE_NUMBER5            NUMBER        ,
    ATTRIBUTE_DATE1              DATE          ,
    ATTRIBUTE_DATE2              DATE          ,
    ATTRIBUTE_DATE3              DATE          ,
    ATTRIBUTE_DATE4              DATE          ,
    ATTRIBUTE_DATE5              DATE          ,
    CONSTRAINT pk_fla_obligations_int PRIMARY KEY (INTERFACE_OBLIGATION_ID, LOAD_REQUEST_ID, INTERFACE_OBLIGATION_ID, LOAD_REQUEST_ID)
);
